# Retrieves the contents of multiple Server Logs with the specified type in the log name This API is available in builds 15089 or later. Endpoint: GET /v2/servers/{serverName}/logs/{logType} Version: 2.0.0 Security: basicAuth ## Path parameters: - `serverName` (string, required) Reserved for future use - `logType` (string, required) The type of the log ## Query parameters: - `lineCount` (string) The number of log lines requested, where a postive number indicates log lines after startOffset and a negative number indicate log lines before startOffset - `startOffset` (string) The byte offset in the file at which to begin getting log lines - `filter` (string) A string containing a list of predefined search filters separated by | where valid strings are noDebug,noInfo,noWarn,noError,noHeader,noColumnHeadings - `search` (string) A string containing a literal string on which to filter or a regex - `regexSearch` (string) Indicates if the 'search' parameter is a regex or a literal string Enum: "false", "true" - `head` (string) Returns the first x lines from the requested log file, the overrides the startoffset and linecount values - `tail` (string) Returns the last x lines from the requested log file, the overrides the startoffset and linecount values - `startDate` (string) The start date to filter on (UTC milliseconds) - `endDate` (string) The end date to filter on (UTC milliseconds) ## Response 200 fields (application/json): - `endOffset` (integer, required) - `logStartDate` (string, required) - `logDate` (string, required) - `endDate` (string, required) - `serverName` (string, required) - `version` (string, required) - `logLines` (array, required) - `filterStr` (string, required) - `retLineCount` (integer, required) - `logFields` (string, required) - `logSoftware` (string, required) - `startOffset` (integer, required) - `searchStr` (string, required) - `regexSearch` (boolean, required) - `logVersion` (string, required) - `saveFieldList` (array) - `fileLength` (integer, required) - `startDate` (string, required) ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields